server.port=8080

spring.application.name=gateway

spring.cloud.gateway.routes[0].id=path_suser
spring.cloud.gateway.routes[0].uri=lb://suser
spring.cloud.gateway.routes[0].predicates[0]=Path=/suser/**
spring.cloud.gateway.routes[0].filters[0]=RewritePath=/suser/(?<segment>.*), /$\{segment}
spring.cloud.gateway.routes[0].filters[1].name=CircuitBreaker
spring.cloud.gateway.routes[0].filters[1].args.name=fallbackcmd
spring.cloud.gateway.routes[0].filters[1].args.fallbackUri=forward:/fallback

spring.cloud.gateway.routes[1].id=path_sclass
spring.cloud.gateway.routes[1].uri=lb://sclass
spring.cloud.gateway.routes[1].predicates[0]=Path=/sclass/**
spring.cloud.gateway.routes[1].filters[0]=RewritePath=/sclass/(?<segment>.*), /$\{segment}
spring.cloud.gateway.routes[1].filters[1].name=CircuitBreaker
spring.cloud.gateway.routes[1].filters[1].args.name=fallbackcmd
spring.cloud.gateway.routes[1].filters[1].args.fallbackUri=forward:/fallback

spring.cloud.gateway.routes[2].id=path_slive
spring.cloud.gateway.routes[2].uri=lb://slive
spring.cloud.gateway.routes[2].predicates[0]=Path=/slive/**
spring.cloud.gateway.routes[2].filters[0]=RewritePath=/slive/(?<segment>.*),/$\{segment}
spring.cloud.gateway.routes[2].filters[1].name=CircuitBreaker
spring.cloud.gateway.routes[2].filters[1].args.name=fallbackcmd
spring.cloud.gateway.routes[2].filters[1].args.fallbackUri=forward:/fallback

spring.cloud.gateway.routes[3].id=path_sstudy
spring.cloud.gateway.routes[3].uri=lb://sstudy
spring.cloud.gateway.routes[3].predicates[0]=Path=/sstudy/**
spring.cloud.gateway.routes[3].filters[0]=RewritePath=/sstudy/(?<segment>.*), /$\{segment}
spring.cloud.gateway.routes[3].filters[1].name=CircuitBreaker
spring.cloud.gateway.routes[3].filters[1].args.name=fallbackcmd
spring.cloud.gateway.routes[3].filters[1].args.fallbackUri=forward:/fallback

spring.cloud.gateway.routes[4].id=path_sapi
spring.cloud.gateway.routes[4].uri=lb://sapi
spring.cloud.gateway.routes[4].predicates[0]=Path=/sapi/**
spring.cloud.gateway.routes[4].filters[0]=RewritePath=/sapi/(?<segment>.*), /$\{segment}
spring.cloud.gateway.routes[4].filters[1].name=CircuitBreaker
spring.cloud.gateway.routes[4].filters[1].args.name=fallbackcmd
spring.cloud.gateway.routes[4].filters[1].args.fallbackUri=forward:/fallback

spring.cloud.gateway.routes[5].id=path_sexam
spring.cloud.gateway.routes[5].uri=lb://sexam
spring.cloud.gateway.routes[5].predicates[0]=Path=/sexam/**
spring.cloud.gateway.routes[5].filters[0]=RewritePath=/sexam/(?<segment>.*), /$\{segment}
spring.cloud.gateway.routes[5].filters[1].name=CircuitBreaker
spring.cloud.gateway.routes[5].filters[1].args.name=fallbackcmd
spring.cloud.gateway.routes[5].filters[1].args.fallbackUri=forward:/fallback

spring.cloud.gateway.routes[6].id=path_slog
spring.cloud.gateway.routes[6].uri=lb://slog
spring.cloud.gateway.routes[6].predicates[0]=Path=/slog/**
spring.cloud.gateway.routes[6].filters[0]=RewritePath=/slog/(?<segment>.*), /$\{segment}
spring.cloud.gateway.routes[6].filters[1].name=CircuitBreaker
spring.cloud.gateway.routes[6].filters[1].args.name=fallbackcmd
spring.cloud.gateway.routes[6].filters[1].args.fallbackUri=forward:/fallback

spring.cloud.gateway.routes[7].id=path_smarking
spring.cloud.gateway.routes[7].uri=lb://smarking
spring.cloud.gateway.routes[7].predicates[0]=Path=/smarking/**
spring.cloud.gateway.routes[7].filters[0]=RewritePath=/smarking/(?<segment>.*), /$\{segment}
spring.cloud.gateway.routes[7].filters[1].name=CircuitBreaker
spring.cloud.gateway.routes[7].filters[1].args.name=fallbackcmd
spring.cloud.gateway.routes[7].filters[1].args.fallbackUri=forward:/fallback

eureka.client.service-url.defaultZone=http://xhschool:Xhkjedud07@localhost:8081/eureka/
eureka.client.register-with-eureka=true
eureka.client.fetch-registry=true
#\u8BBE\u7F6Eeureka\u8F93\u51FA\u65E5\u5FD7\u7EA7\u522B
logging.level.com.netflix=error

#\u8BF7\u6C42\u8D85\u65F6\u65F6\u95F430s
rq.overtime = 30000

#\u63A5\u53E3\u662F\u5426\u52A0\u5BC6
Xh-St = false

#mysql\u6570\u636E\u5E93(\u5185\u7F51\u5730\u5740)
spring.datasource.url=jdbc:mysql://dbtest.xhkjedu.com:3306/xhkjedu_school_test?characterEncoding=utf8&zeroDateTimeBehavior=convertToNull&rewriteBatchedStatements=true&allowMultiQueries=true
spring.datasource.username=root
spring.datasource.password=HNxhkjedu!@#07
spring.mvc.hiddenmethod.filter.enabled=true
#\u6570\u636E\u5E93\u8FDE\u63A5\u6C60\u914D\u7F6E
spring.datasource.driver-class-name=com.mysql.cj.jdbc.Driver
#\u5141\u8BB8\u7684\u6700\u5C0F\u7A7A\u95F2\u6570
spring.datasource.hikari.minimum-idle=5
#\u8FDE\u63A5\u6C60\u6700\u5927\u8FDE\u63A5\u6570
spring.datasource.hikari.maximum-pool-size=50
spring.datasource.hikari.auto-commit=true
#\u7A7A\u95F2\u8D85\u65F6\u662F 180000 \u6BEB\u79D2\uFF0C\u5F53\u6570\u636E\u5E93\u8FDE\u63A5\u7684\u7A7A\u95F2\u65F6\u95F4\u5927\u4E8E180000\u6BEB\u79D2\u65F6\uFF0C\u8FD9\u4E9B\u7A7A\u95F2\u8D85\u65F6\u7684\u8FDE\u63A5\u4F1A\u88AB\u5173\u95ED\uFF0C\u76F4\u5230\u8D85\u65F6\u7684\u7A7A\u95F2\u8FDE\u63A5\u6570\u8FBE\u5230 minimum-idle\u7684\u503C
spring.datasource.hikari.idle-timeout=180000
spring.datasource.hikari.pool-name=DatebookHikariCP
spring.datasource.hikari.max-lifetime=1800000
#\u8FDE\u63A5\u8D85\u65F6\u65F6\u95F4\u8BBE\u7F6E\uFF0C\u9ED8\u8BA4\u662F30s
spring.datasource.hikari.connection-timeout=20000
# \u6D4B\u8BD5\u8FDE\u63A5\u662F\u5426\u53EF\u7528\u7684query \u8BED\u53E5 \u5728oracle\u662F select 1 from dual  36   28.26
spring.datasource.hikari.connection-test-query=SELECT 1
# \u6240\u6709Entity\u522B\u540D\u7C7B\u6240\u5728\u5305
mybatis.type-aliases-package=com.xhkjedu.gateway.model
mybatis.mapper-Locations=classpath*:mapper/**/*.xml
mybatis.configuration.call-setters-on-nulls=true
mapper.identity=MYSQL

#redis\u914D\u7F6E(\u5185\u7F51\u5730\u5740)
spring.redis.host=cachetest.xhkjedu.com
spring.redis.port=6379
spring.redis.password=xhkjedud07
#\u8D85\u65F6\u65F6\u95F4\uFF1A\u5355\u4F4Dms
spring.redis.timeout=5000
#\u8BBE\u7F6E\u8FC7\u671F\u65F6\u95F410min
spring.redis.jedis.pool.max-idle=300
#\u6700\u5927\u7B49\u5F85\u65F6\u95F4\uFF1A\u5355\u4F4Dms //\u9AD8\u7248\u672C\u6539\u4E3AmaxWaitMillis
spring.redis.jedis.pool.max-wait=1000000
spring.redis.jedis.pool.max-active=60000
#\u7F13\u5B58\u8BBF\u95EE\u6570\u636E\u6709\u6548\u65F6\u957F5*60*60
redisdatatime=18000
#\u7F13\u5B58\u7528\u6237\u6743\u9650\u6A21\u5757\u6709\u6548\u65F6\u957F60*60*24
redisumtime=86400
#\u7F13\u5B58\u6A21\u5757\u5BF9\u5E94\u64CD\u4F5C\u6709\u6548\u65F6\u957F60*5
redismoduletime=300


#\u767D\u540D\u5355\u63A5\u53E3
whitelistAPI=/user/login,user/loginstu,/class_student/stu_class,/user/detail,/status/info,/user/qrg,/user/check_user\
  ,/user/update_code,/user/update_pwd_byCode,/user/list_usecret,/user/check_usecret,/user/reset_pwd\
  ,/class_student/import_user,/user/import_teacher,/user/autologin\
  ,/get_new,/stype/list,/cloud/detail,/auser/import,/pdf,/epsb/import,\
  ,/section/get_zjr,/csw/add,/xz/import,/agora_token/rtc_token,/epqt/pqs,/eb/get_mn,/scan/save,/eps/sca,/eps/scaer\
  ,/module/treelst,/std/td_num,/bk/list_client,/user/check_login,/smarking/mscan/save,/smarking/mscanp/save,/smarking/mscanp/paper_temps

#\u53C2\u6570\u5927\u5C0F\u9650\u523650M
paramsize=52428800

#\u7248\u672C\u53F7
buildnum=300
versionname=Test_v3.14.0